Find file History
NickCraver v4 Alpha10: Dropping .NET 4.5 support
It's just not a sane user experience to maintain. Due to some Microsoft packages using the NETStandard library for their < 2.0 packages. With .NET 4.5 and netstandard1.x, users are prompted to install 40-50 package dependencies which are not necessary at all. But net461 can use netstandard2 which doesn't have the mess.

Given the audience numbers, MiniProfiler v4 will only support .NET 4.6.1+ (netstandard2 level) for desktop. This also means downstream packages (e.g. MiniProfiler extensions) can just target netstandard 1.5 and 2.0.
Latest commit 4f440e8 Dec 3, 2017
Permalink
Type Name Latest commit message Commit time
..
Failed to load latest commit information.
App.config Sample.Console -> Samples.Console (and it works!) Dec 20, 2016
Program.cs Docs and samples cleanup Oct 15, 2017
Samples.Console.csproj v4 Alpha10: Dropping .NET 4.5 support Dec 4, 2017